Next Commerce
Campaigns

Campaigns Offers Partial Update

Partially update an offer on the campaign. Providing `condition` or `benefit` replaces it entirely -- these are not merged field by field.

PATCH
/campaigns/{id}/offers/{offerId}/

Authorization

oauth2 campaigns:write
AuthorizationBearer <token>

Generate an Access Token through Settings > API Access for single store access or use the Authorization Code flow with your partner App Client ID. Use required permission scopes for API endpoint access. Example Authorization: Bearer 123

In: header

Scope: campaigns:write

Path Parameters

id*integer

Campaign ID.

offerId*integer

Offer reference ID, unique within the campaign.

Header Parameters

X-29next-API-Version*"unstable"
Default"unstable"

Value in

  • "unstable"

Request Body

Response Body

application/json

curl -X PATCH "https://example.com/campaigns/0/offers/0/" \  -H "X-29next-API-Version: unstable" \  -H "Content-Type: application/json" \  -d '{}'
{  "available": true,  "benefit": {    "description": "string",    "price_rounding": "0.00",    "type": "package_percentage",    "value": "string"  },  "code": "string",  "condition": {    "all_packages": true,    "description": "string",    "packages": [      {        "id": 0,        "name": "string",        "product_id": 0,        "product_sku": "string"      }    ],    "type": "any",    "value": "string"  },  "id": 0,  "name": "string",  "offer_type": "offer"}